<?php
session_start();
/**
 * TMBLOG 首页文件
 * ============================================================================
 * 版权所有 2008-2009 梧州腾马网络服务中心，并保留所有权利。
 * 网站地址: http://php.tmacn.cn；
 * ----------------------------------------------------------------------------
 * 这不是一个自由软件！您只能在不用于商业目的的前提下对程序代码进行修改和
 * 使用；不允许对程序代码以任何形式任何目的的再发布。
 * ============================================================================
 * $Author: tm $
*/

define('IN_ECS', true);

require(dirname(__FILE__) . '/includes/init.php');

if ((DEBUG_MODE & 2) != 2)
{
    $smarty->caching = true;
}
$smarty->assign('siteinfo',      get_site_info()); // 网站信息

$smarty->assign('tmbloggree',    get_gree_info()); // 导航栏

$smarty->assign('tmarttj',         get_art_tj()); // 文章列表

$smarty->assign('userlist',        get_user_px()); // 评论用户排名

$smarty->assign('tmdate',        get_date_list()); // 文章归档

$smarty->assign('tmtag',        get_tag_list()); // 网站标签

$smarty->assign('sitefoot',      get_foot_info()); // 底部信息

$smarty->assign('gglist',      get_gg_list()); // 公告

$smarty->assign('tmblog_dir',      request_uri()); // 目录

$author=_post('author');
$email=_post('email');
$url=_post('url');
$comment=htmlspecialchars(_post('comment'));
$quote=_post('quote');
$id=_post('id');
$ip=$_SERVER['REMOTE_ADDR'];
$date=date('Y-m-d H:i:s');
$action=_post('action');
if($action=="save")
{
if($author=="")
  {
      $message=array();
      $message[sb]=0;
      $message[info]="称呼不能为空!!";
      $message[url]="javascript:history.go(-1);";
      $smarty->assign('message', $message);
      $smarty->display('message.dwt');
      exit();
  }
if($email=="")
  {
      $message=array();
      $message[sb]=0;
      $message[info]="邮箱不能为空!!";
      $message[url]="javascript:history.go(-1);";
      $smarty->assign('message', $message);
      $smarty->display('message.dwt');
      exit();
  }
if (!is_email($email))
{
      $message=array();
      $message[sb]=0;
      $message[info]="您输入的邮箱无效!!";
      $message[url]="javascript:history.go(-1);";
      $smarty->assign('message', $message);
      $smarty->display('message.dwt');
      exit();
}
if($comment=="")
  {
      $message=array();
      $message[sb]=0;
      $message[info]="内容不能为空!!";
      $message[url]="javascript:history.go(-1);";
      $smarty->assign('message', $message);
      $smarty->display('message.dwt');
      exit();
  }
$sql="insert into tm_art_re (re_cont,re_name,re_date,re_artid,ip,re_yid,re_url,re_email) values('$comment','$author','$date','$id','$ip','$quote','$url','$email')";
$rs=mysql_query($sql);
if($rs)
   {
   $message=array();
      $message[sb]=1;
      $message[info]="评论成功！!!";
      $message[url]="art.php?id=".$id;
      $smarty->assign('message', $message);
      $smarty->display('message.dwt');
      exit();
   }
else
   {
   $message=array();
      $message[sb]=0;
      $message[info]="评论出错啦，请联系管理员!!";
      $message[url]="javascript:history.go(-1);";
      $smarty->assign('message', $message);
      $smarty->display('message.dwt');
      exit();
   }
}
else
{
      $message=array();
      $message[sb]=0;
      $message[info]="非法评论!!";
      $message[url]="javascript:history.go(-1);";
      $smarty->assign('message', $message);
      $smarty->display('message.dwt');
      exit();
}
$smarty->display('message.dwt');
?>